import { JWTPayload } from 'jose';
export declare class Cryptrack {
    private readonly _curve;
    private readonly _keys;
    private readonly _store;
    private readonly _jwtKeyPromise;
    register(id: string, publicKeyHex: string): string;
    getKey(id: string): string | undefined;
    encrypt(id: string, data: string): string;
    decrypt(id: string, encrypted: string): string;
    getPublicKey(): string;
    signToken(id: string, payload: Record<string, any>, expires?: string): Promise<string>;
    verifyToken(token: string): Promise<{
        id: string;
        payload: JWTPayload;
    }>;
}
